KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Süsteemi seadistuste vahemälu ümber ehitamine.

SYNOPSIS

kbuildsycoca4 [--nosignal | --noincremental | --checkstamps | --nocheckfiles | --global | --menutest | --track menu-id | --help | --help-qt | --help-kde | --help-all | --author | -v, --version | --license]

KIRJELDUS

kbuildsycoca4 kui KDE käsureatööriistade osa tagab KDE korrektse töö, lugedes kõiki .desktop-, .xml- ja .protocol-faile ning luues nende baasil binaarandmebaasi.

KDE kasutab seda andmebaasi konfiguratsiooniinfo jagamiseks käivitatavatele programmidele.

See tööriist kuulub ksycoca4 ehk KDE süsteemi seadistuste vahemälu koosseisu.

VõTMED

--nosignal
    Rakendustele ei anta korraldust uuendada

--noincremental
    Inkrementuuenduse keelamine, kõik loetakse uuesti sisse

--checkstamps
    Failide ajatemplite kontroll

--nocheckfiles
    Failide kontrolli keelamine (ohtlik)

--global
    Globaalse andmebaasi loomine

--menutest
    Ainult menüü genereerimise test

--track menüü ID
    Menüü ID jälgimine silumise huvides

--help
    Näitab abi võtmete kohta

--help-qt
    Näitab abi Qt spetsiifiliste võtmete kohta

--help-kde
    Näitab abi KDE spetsiifiliste võtmete kohta

--help-all
    Näitab abi kõigi võtmete kohta

--author
    Näitab infot autori kohta

-v , --version
    Näitab versiooniinfot

--license
    Näitab litsentsiinfot

KASUTAMINE

Standardne viis programmi käivitada on anda käsureal käsk kbuildsycoca4

FAILID

/var/tmp/kde-$USER/ksycoca4
    Vaikimisi kataloog, kuhu puhvrifailid salvestatakse.

KESKKONNAMUUTUJAD

$KDEDIRS
    Määrab, millised kataloogid kuuluvad KDE paigalduse koosseisu

$KDESYCOCA
    Määrab sycoca andmebaasifaili asukoha

VAATA KA

kdeinit4

VEAD

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org: http://bugs.kde.org.

AUTHOR
Darian Lanx <content@openprojects.net>.